
function sleep(sleepdelay) {
    return new Promise((resolve, reject) => {
        setTimeout(() => {
            resolve(sleepdelay);
        }, sleepdelay);
    })
}


async function set_utctime_solscan() {
    try {
        let table_ = document.querySelector("table.w-full");
        let thead_ = table_.getElementsByTagName("thead")[0];
        let arr_th_ = Array.from(thead_.getElementsByTagName("th"));
        let time_click_ = arr_th_[2].querySelectorAll("div.items-center.cursor-pointer")[0];
        if (arr_th_[2].innerText.trim() == "Time") {
            time_click_.click();
        }

    } catch (e) {
        await sleep(1000);

    }

}


(async function () {
    await set_utctime_solscan();


})();
